# $Id: perl-String-CRC.spec 3087 2005-04-02 22:11:58Z dries $
# Authority: dries
# Upstream: David Muir Sharnoff <muir$idiom,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name String-CRC

Summary: Cyclic redundency check generation
Name: perl-String-CRC
Version: 1.0
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/String-CRC/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/M/MU/MUIR/modules/String-CRC-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
The CRC module calculates CRC of various lenghts. The default CRC length is
32 bits.
CRCs of 32 bits and smaller will be returned as an integer.
CRCs that are larger than 32 bits will be returned as two integers if called
in list context and as a packed binary string if called in scalar context.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" "PREFIX=%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/String/CRC.p*
%{perl_vendorarch}/auto/String/CRC/CRC.*

%changelog
* Sat Apr  2 2005 Dries Verachtert <dries@ulyssis.org> - 1.0-1 - 3087/dries
- Initial package.
